pskc_set_device_serialno(3)

NAME
pskc_set_device_serialno - API function

SYNOPSIS
#include <pskc.h>

void pskc_set_device_serialno(pskc_key_t * key, const char * serialno);

ARGUMENTS

pskc_key_t * key
    a pskc_key_t handle from, e.g., pskc_add_keypackage().

const char * serialno
    string with serial number to set.

DESCRIPTION
Set the PSKC KeyPackage DeviceInfo SerialNo value. This element indicates the serial number of the device.

The pointer is stored in container, not a copy of the data, so you must not deallocate the data before another call to this function or the last call to any function using container.

SINCE
2.2.0

REPORTING BUGS
Report bugs to <oath-toolkit-help@nongnu.org>. libpskc home page: https://www.nongnu.org/oath-toolkit/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2012-2020 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.